%define kdeprefix /usr
%define version 0.3.0
%define name ksokoban
%define release 1
%define qtver qt >= 1.33

Name: %{name}
Summary: A Sokoban game for the K Desktop Environment
Version: %{version}
Release: %{release}
Serial: 1
Source: %{name}-%{version}.tar.gz
Group: Amusements/Games
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
This is a KDE version of Sokoban, the Japanese warehouse keeper game.
In this board game, you are a warehouse keeper that is supposed to
push some crates in a warehose maze to their proper locations. Some
levels can be rather difficult, and the game has in fact been proved
to be PSPACE-complete.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build
export KDEDIR=%{kdeprefix}
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '/\/applnk\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}
